## GogGuru GogGuru — Graph creation guru and property editor |

## Synopsis

    GtkWidget*          gog_guru                            (GogGraph *graph,
                                                             GogDataAllocator *dalloc,
                                                             GOCmdContext *cc,
                                                             GClosure *closure);
    GtkWidget*          gog_guru_get_help_button            (GtkWidget *guru);

## Description

## Details

### gog_guru ()

    GtkWidget*          gog_guru                            (GogGraph *graph,
                                                             GogDataAllocator *dalloc,
                                                             GOCmdContext *cc,
                                                             GClosure *closure);

CHANGED 0.5.3 : drop the `toplevel` window argument and have the callers handle widget_show and set_transient

`graph` : | the graph to edit
`dalloc` : | The data allocator to use for editing
`cc` : | Where to report errors
`closure` : |
Returns : | and shows new graph guru.

### gog_guru_get_help_button ()

    GtkWidget*          gog_guru_get_help_button            (GtkWidget *guru);

Quick utility to allow application specific help. Required until we clean up the relationship between goffice and gnumeric to decide which parts of the hlpe live where.

`guru` : | GtkWidget (the result of gog_guru).
Returns : |